## TpBasicProxyFactory

TpBasicProxyFactory — channel factory creating TpChannel objects

## Functions

TpBasicProxyFactory * | tp_basic_proxy_factory_new ()
TpBasicProxyFactory * | tp_basic_proxy_factory_dup ()

## Types and Values

struct | TpBasicProxyFactory
struct | TpBasicProxyFactoryClass

## Object Hierarchy

        GObject
        ╰── TpBasicProxyFactory

## Implemented Interfaces

TpBasicProxyFactory implements TpClientChannelFactory.

## Includes

    #include <telepathy-glib/telepathy-glib.h>

## Description

This factory implements the TpClientChannelFactory interface to create plain TpChannel objects. Unlike TpAutomaticProxyFactory, it will not create higher-level subclasses like TpStreamTubeChannel. The only feature this factory asks to prepare is TP_CHANNEL_FEATURE_CORE.

TpProxy subclasses other than TpChannel are not currently supported.

## Functions

### tp_basic_proxy_factory_new ()

    TpBasicProxyFactory *
    tp_basic_proxy_factory_new (void);

`tp_basic_proxy_factory_new` is deprecated and should not be used in newly-written code.

New code should use TpSimpleClientFactory instead

Convenient function to create a new TpBasicProxyFactory instance.

#### Returns

a new TpBasicProxyFactory

Since: 0.13.2

### tp_basic_proxy_factory_dup ()

    TpBasicProxyFactory *
    tp_basic_proxy_factory_dup (void);

`tp_basic_proxy_factory_dup` is deprecated and should not be used in newly-written code.

New code should use TpSimpleClientFactory instead

Returns a cached TpBasicProxyFactory; the same TpBasicProxyFactory object will be returned by this function repeatedly, as long as at least one reference exists.

#### Returns

a TpBasicProxyFactory.

[transfer full]

Since: 0.13.2

## Types and Values

### struct TpBasicProxyFactory

    struct TpBasicProxyFactory;

Data structure representing a TpBasicProxyFactory

Since: 0.13.2

### struct TpBasicProxyFactoryClass

    struct TpBasicProxyFactoryClass {
        GObjectClass parent_class;
    };

The class of a TpBasicProxyFactory.

#### Members

GObjectClass `parent_class`; | the parent class |

Since: 0.13.2

## See Also

TpAutomaticProxyFactory